Subject: RE: [EXT] Re: [PATCH v2 1/5] add-patch: improve help for options j, J, k, and K

From: "Windl, Ulrich" <[email-masked]>
Date: Mon, 3 Nov 2025 12:43:10 +0000

OK,

fair enough: I think the original wording is more clear, so I don't see the need to change it at all.
Possible corner cases ecepted, e.g. whether "next" can wrap at the end or not.

Kind regards,
Ulrich Windl

> -----Original Message-----
> From: Junio C Hamano <[email-masked]>
> Sent: Saturday, November 1, 2025 9:19 AM
> To: Windl, Ulrich <[email-masked]>
> Cc: René Scharfe <[email-masked]>; [email-masked]; Phillip Wood
> <[email-masked]>
> Subject: [EXT] Re: [PATCH v2 1/5] add-patch: improve help for options j, J, k,
> and K
> 
> Sicherheits-Hinweis: Diese E-Mail wurde von einer Person außerhalb des UKR
> gesendet. Seien Sie vorsichtig vor gefälschten Absendern, wenn Sie auf Links
> klicken, Anhänge öffnen oder weitere Aktionen ausführen, bevor Sie die
> Echtheit überprüft haben.
> 
> "Windl, Ulrich" <[email-masked]> writes:
> 
> > For the patch
> > diff --git a/Documentation/git-add.adoc b/Documentation/git-add.adoc
> > index ad629c46c5..3266ccf105 100644
> >
> > I don't see an actual improvement, and I'd prefer the previous
> > version of the doc.
> 
> We'd prefer to see something more concrete that refuses the
> reasoning that led to the change, than a subjective "I don't see,
> I'd prefer".
> 
> At least, the commit log messge given by 2c3cc43f (add-patch:
> improve help for options j, J, k, and K, 2025-10-06) explains why
> the change is an improvement, and I found it sensible.
> (<[email-masked]>)
> 
> The old description said 'j' leaves this hunk undecided and goes to
> the next undecided hunk, but it is both pointless and misleading to
> say 'leave this hunk undecided'.  Unlike 'y' or 'n', the movement
> options 'j', 'k' are not about changing the state of the current
> thing we are on (so it is pointless to say "LEAVE it undecided"),
> and more importantly, when we say 'j', the state of the current
> thing we are on may not necessarily be 'undecided' (so it is
> misleading to say "leave it UNDECIDED").